Get organization schema

Returns the custom field schema for organizations. Use this to discover available fields before creating or updating organization records.

Responses
  • application/json
  • application/json
  • application/json
Request Example for get/apis/organizations/schema
curl https://school.fullfabric.cloud/apis/organizations/schema \
  --header 'FF-Auth: YOUR_SECRET_TOKEN'
{
  "id": "6385ba99976a7719120001e7",
  "sections": [
    {
      "label": "Organisation Details",
      "fields": [
        {
          "name": "name",
          "label": "Organisation Name",
          "description": "",
          "type": "SingleLineText",
          "required": "never"
        },
        {
          "name": "__industry",
          "label": "Industry",
          "description": "",
          "type": "DropDown",
          "required": "never",
          "options": [
            "Banking",
            "Consulting",
            "Technology",
            "Healthcare",
            "Education",
            "Other"
          ]
        },
        {
          "name": "__type",
          "label": "Organisation Type",
          "description": "",
          "type": "DropDown",
          "required": "never",
          "options": [
            "Corporate",
            "University",
            "NGO",
            "Government",
            "Start-up"
          ]
        },
        {
          "name": "__current_address",
          "label": "Address",
          "description": "",
          "type": "Address",
          "required": "never"
        }
      ]
    }
  ]
}